package de.dnb.resolvingdienste.urnimporter.urn.export;

import javax.validation.constraints.NotNull;

import de.dnb.resolvingdienste.urnimporter.entity.UrnRecord;

public interface UrnExporter {

    ExportResult insertUrn(@NotNull UrnRecord record, @NotNull String runAs);

    ExportResult updateUrn(@NotNull UrnRecord record, @NotNull String runAs);

    boolean isUrnAlreadyRegistered(@NotNull String urn);

    boolean isUrnApiAvailable();
}
